﻿using Microsoft.AspNetCore.Components;
using WF_WebAdmin.Model;

namespace WF_WebAdmin.Pages
{
    public partial class LogsPage
    {
        private Logs[] logs;

        [Inject]
        public HttpClient Http { get; set; }

        [Inject]
        public NavigationManager NavigationManager { get; set; }

        protected override async Task OnInitializedAsync()
        {
            logs = await Http.GetFromJsonAsync<Logs[]>($"{NavigationManager.BaseUri}fake_data_logs.json");
        }
    }
}